<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';
if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$address_id=$json['address_id'];
$user_id= $json['user_id'];
$prefix= $json['prefix'];
$name= $json['name'];
$street= $json['street'];
$address= $json['address'];
$address_type= $json['address_type'];
$created_date  = date('Y-m-d H:i:s');

$sql = "SELECT * FROM address_book WHERE id='$address_id'";
$result = $conn->query($sql);
if(mysqli_num_rows($result)!=0){
$ins="UPDATE address_book SET name='$name',user_id='$user_id',prefix='$prefix',street='$street',address='$address',address_type='$address_type',modified='$created_date' WHERE id='$address_id'";
$ins_result=$conn->query($ins);	
$responseData = array('address_id'=>$address_id,'success'=>'1','message'=>"address updated suucessfully");
$data = array('data'=>$responseData);
echo json_encode( $data);   
}else{
$ins="INSERT INTO address_book SET name='$name',user_id='$user_id',prefix='$prefix',street='$street',address='$address',address_type='$address_type',created='$created_date'";
$ins_result=$conn->query($ins);
$address_id="";
if($ins_result){
$address_id=mysqli_insert_id($conn);
}			
$responseData = array('address_id'=>$address_id,'success'=>'1','message'=>"success");
$data = array('data' => $responseData );
echo json_encode( $data);      
}
?>